Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class TypeMatch

    java.lang.Object
      com.plumtree.remote.sci.TypeMatch

public class TypeMatch
extends java.lang.Object

Type-safe enumeration for match types (match or not-match).

Field Summary
`static TypeMatch` | `MATCH_FALSE` `TypeMatch` of not-match.
`static TypeMatch` | `MATCH_TRUE` `TypeMatch` of match.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCode()` Gets the internal constant associated with the `TypeMatch`.
`int` | `hashCode()`
`static TypeMatch` | `parse(java.lang.String val)` Creates a `TypeMatch` from the string.
`java.lang.String` | `toString()` Writes the `TypeMatch` to a string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MATCH_TRUE

    public static TypeMatch MATCH_TRUE

  `TypeMatch` of match.

### MATCH_FALSE

    public static TypeMatch MATCH_FALSE

  `TypeMatch` of not-match.

Method Detail

### getCode

    public java.lang.String getCode()

  Gets the internal constant associated with the `TypeMatch`.

  Returns:
    a string representing the internal constant

### parse

    public static TypeMatch parse(java.lang.String val)

  Creates a `TypeMatch` from the string.

  Parameters:
    `val` - a valid `TypeMatch` value
  Returns:
    the `TypeMatch`

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

  Writes the `TypeMatch` to a string.

  Returns:
    a string representing the `TypeMatch`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.